"""Tweak atb column names and descriptions

Revision ID: 00bb7a317c64
Revises: 4013b53cfbd7
Create Date: 2024-05-13 13:07:38.262687

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '00bb7a317c64'
down_revision = '4013b53cfbd7'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_nrelatb__yearly_projected_financial_cases_by_scenario', schema=None) as batch_op:
        batch_op.add_column(sa.Column('fuel_cost_per_mwh', sa.Float(), nullable=True, comment='Derived from MCOE, a unit level value. Average fuel cost per MWh of heat content in nominal USD.'))
        batch_op.drop_column('fuel_cost')

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_nrelatb__yearly_projected_financial_cases_by_scenario', schema=None) as batch_op:
        batch_op.add_column(sa.Column('fuel_cost', sa.FLOAT(), nullable=True))
        batch_op.drop_column('fuel_cost_per_mwh')

    # ### end Alembic commands ###
