"""Add data_maturity to EIA923 cooling system table

Revision ID: 172898b30824
Revises: 823e58cbf0e0
Create Date: 2024-04-10 13:36:48.866852

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '172898b30824'
down_revision = '823e58cbf0e0'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('_core_eia923__cooling_system_information', schema=None) as batch_op:
        batch_op.add_column(sa.Column('data_maturity', sa.Text(), nullable=True, comment='Level of maturity of the data record. Some data sources report less-than-final data. PUDL sometimes includes this data, but use at your own risk.'))
        batch_op.create_foreign_key(batch_op.f('fk__core_eia923__cooling_system_information_data_maturity_core_pudl__codes_data_maturities'), 'core_pudl__codes_data_maturities', ['data_maturity'], ['code'])

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('_core_eia923__cooling_system_information', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk__core_eia923__cooling_system_information_data_maturity_core_pudl__codes_data_maturities'), type_='foreignkey')
        batch_op.drop_column('data_maturity')

    # ### end Alembic commands ###
