"""Update foreign key relationships for EIA860 storage coding tables

Revision ID: 823e58cbf0e0
Revises: 4e14f531f5d6
Create Date: 2024-04-10 12:50:46.401285

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '823e58cbf0e0'
down_revision = '4e14f531f5d6'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_eia860__scd_generators_energy_storage', schema=None) as batch_op:
        batch_op.create_foreign_key(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_enclosure_code_core_eia__codes_storage_enclosure_types'), 'core_eia__codes_storage_enclosure_types', ['storage_enclosure_code'], ['code'])
        batch_op.create_foreign_key(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_3_core_eia__codes_storage_technology_types'), 'core_eia__codes_storage_technology_types', ['storage_technology_code_3'], ['code'])
        batch_op.create_foreign_key(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_4_core_eia__codes_storage_technology_types'), 'core_eia__codes_storage_technology_types', ['storage_technology_code_4'], ['code'])
        batch_op.create_foreign_key(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_2_core_eia__codes_storage_technology_types'), 'core_eia__codes_storage_technology_types', ['storage_technology_code_2'], ['code'])
        batch_op.create_foreign_key(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_1_core_eia__codes_storage_technology_types'), 'core_eia__codes_storage_technology_types', ['storage_technology_code_1'], ['code'])

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_eia860__scd_generators_energy_storage', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_1_core_eia__codes_storage_technology_types'), type_='foreignkey')
        batch_op.drop_constraint(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_2_core_eia__codes_storage_technology_types'), type_='foreignkey')
        batch_op.drop_constraint(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_4_core_eia__codes_storage_technology_types'), type_='foreignkey')
        batch_op.drop_constraint(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_technology_code_3_core_eia__codes_storage_technology_types'), type_='foreignkey')
        batch_op.drop_constraint(batch_op.f('fk_core_eia860__scd_generators_energy_storage_storage_enclosure_code_core_eia__codes_storage_enclosure_types'), type_='foreignkey')

    # ### end Alembic commands ###
